# Making Your First API Call

Now that you have your **App Key** and **Organization Key**, you're ready to make your first authenticated API call and verify everything is working correctly.

## Compose Your HTTP Request

Here’s a sample `curl` request to list all products:

```
curl -X GET https://rest.gormic.app/v1/core/categories \
  -H "Authorization: Bearer <App Key>" \
  -H "g-organization: xgh6fg"
```

## Expected Response

```
{
    "app": "gormic-core",
    "data": {
        "items": [
            {
                "locales": {
                    "ar": {
                        "name": "مشروبات"
                    },
                    "en": {
                        "name": "Drinks"
                    }
                },
                "createdAt": "2025-05-09T14:39:24.454Z",
                "createdBy": "gw82cg/g5qv2i",
                "createdVia": "g5qv2i",
                "id": "8c253c58-67f2-448b-b128-0fbb8e7045aa"
            },
            {
                "locales": {
                    "ar": {
                        "name": "بيتزا",
                        "description": ""
                    },
                    "en": {
                        "name": "Pizza",
                        "description": ""
                    }
                },
                "sort": "3",
                "createdAt": "2025-07-08T14:00:59.324Z",
                "createdBy": "gw82cg/g5qv2i",
                "createdVia": "rlk01f",
                "id": "c14c9afe-a6be-454e-a833-de54a1008397"
            }
        ]
    },
    "instanceId": "g5qv2i"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.gormic.com/getting-started/making-your-first-api-call.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
